<?php
$titlu='Sitemap blog';
require'f_sitemap.php';
echo sitemap($adresasite[0].'/blog','Blog');
$categorii=$conn->query('SELECT`id`,`nume`FROM`blog_categorii`ORDER BY`nume`');
while($categorie=$categorii->fetch_row())
{
if(ceil($y1/$pepagyna)>$z1)
{
$z1++;
echo sitemap($adresasite[0].'/blog/pagina/'.$z1,'Blog - pagina '.$z1);
}
$y2=1;
$z2=1;
echo sitemap($adresasite[0].'/blog/categorie/'.$categorie[0].'-'.seo($categorie[1]),'Blog, categoria '.htmlspecialchars($categorie[1]));
$articole=$conn->query('SELECT`id`,`nume`FROM`blog_articole`WHERE`cid`="'.$categorie[0].'"ORDER BY`data`DESC');
while($articol=$articole->fetch_row())
{
if(ceil($y2/$pepagyna)>$z2)
{
$z2++;
echo sitemap($adresasite[0].'/blog/categorie/'.$categorie[0].'-'.seo($categorie[1]).'/pagina/'.$z2,'Blog, categoria '.htmlspecialchars($categorie[1]).' - pagina '.$z2);
}
echo sitemap($adresasite[0].'/articol/id/'.$articol[0].'-'.seo($articol[1]),'Articol '.htmlspecialchars($articol[1]));
$aprecieriile=$conn->query('SELECT COUNT(*)FROM`blog_aprecieri`WHERE`pid`="'.$articol[0].'"&&`valoare`="1"')->fetch_row()[0];
if($aprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-articol/id/'.$articol[0].'-'.seo($articol[1]).'/tip/aprecieri','Aprecieri articol '.htmlspecialchars($articol[1]));
$numar_aprecieri=ceil($aprecieriile/$pepagyna);
for($aprecieri=1;$aprecieri<$numar_aprecieri;$aprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-articol/id/'.$articol[0].'-'.seo($articol[1]).'/tip/aprecieri/pagina/'.($aprecieri+1),'Aprecieri articol '.htmlspecialchars($articol[1]).' - pagina '.($aprecieri+1));
}
}
$dezaprecieriile=$conn->query('SELECT COUNT(*)FROM`blog_aprecieri`WHERE`pid`="'.$articol[0].'"&&`valoare`="2"')->fetch_row()[0];
if($dezaprecieriile>0)
{
echo sitemap($adresasite[0].'/aprecieri-articol/id/'.$articol[0].'-'.seo($articol[1]).'/tip/dezaprecieri','Dezaprecieri articol '.htmlspecialchars($articol[1]));
$numar_dezaprecieri=ceil($dezaprecieriile/$pepagyna);
for($dezaprecieri=1;$dezaprecieri<$numar_dezaprecieri;$dezaprecieri++)
{
echo sitemap($adresasite[0].'/aprecieri-articol/id/'.$articol[0].'-'.seo($articol[1]).'/tip/dezaprecieri/pagina/'.($dezaprecieri+1),'Dezaprecieri articol '.htmlspecialchars($articol[1]).' - pagina '.($dezaprecieri+1));
}
}
$comentariile=$conn->query('SELECT COUNT(*)FROM`blog_comentarii`WHERE`pid`="'.$articol[0].'"')->fetch_row()[0];
if($comentariile>0)
{
echo sitemap($adresasite[0].'/comentarii-articol/id/'.$articol[0].'-'.seo($articol[1]),'Comentarii articol '.htmlspecialchars($articol[1]));
$numar_comentarii=ceil($comentariile/$pepagyna);
for($comentarii=1;$comentarii<$numar_comentarii;$comentarii++)
{
echo sitemap($adresasite[0].'/comentarii-articol/id/'.$articol[0].'-'.seo($articol[1]).'/pagina/'.($comentarii+1),'Comentarii articol '.htmlspecialchars($articol[1]).' - pagina '.($comentarii+1));
}
}
$notele=$conn->query('SELECT COUNT(*)FROM`blog_note`WHERE`pid`="'.$articol[0].'"')->fetch_row()[0];
if($notele>0)
{
echo sitemap($adresasite[0].'/note-articol/id/'.$articol[0].'-'.seo($articol[1]),'Note articol '.htmlspecialchars($articol[1]));
$numar_note=ceil($notele/$pepagyna);
for($note=1;$note<$numar_note;$note++)
{
echo sitemap($adresasite[0].'/note-articol/id/'.$articol[0].'-'.seo($articol[1]).'/pagina/'.($note+1),'Note articol '.htmlspecialchars($articol[1]).' - pagina '.($note+1));
}
}
$y2++;
}
$y1++;
}
echo$x2;
require'f_fun.php';